Subject: Re: [bitcoin-dev] [BIP Proposal] Buried Deployments

From: Tier Nolan <[email-masked]>
Date: Wed, 16 Nov 2016 14:18:44 +0000

On Wed, Nov 16, 2016 at 1:58 PM, Eric Voskuil via bitcoin-dev <
[email-masked]> wrote:

> Are checkpoints good now? Are hard forks okay now?
>

I think that at least one checkpoint should be included.  The assumption is
that no 50k re-orgs will happen, and that assumption should be directly
checked.

Checkpointing only needs to happen during the headers-first part of the
download.

If the block at the BIP-65 height is checkpointed, then the comparisons for
the other ones are automatically correct.  They are unnecessary, since the
checkpoint protects all earlier block, but many people would like to be
able to verify the legacy chain.

This makes the change a soft-fork rather than a hard fork.  Chains that
don't go through the checkpoint are rejected but no new chains are allowed.